CifCorrector Class Reference

`#include <CifCorrector.h>`

Collaboration diagram for CifCorrector:

## Public Member Functions

| CifCorrector (CifFile &cifFile, DataInfo &dataInfo, DataInfo &pdbxDataInfo, CifFile &configFile, const bool verbose=false)
| ~CifCorrector ()
void | Correct ()
void | CheckAliases ()
void | Write (const std::string &outFileName)

## Static Public Member Functions

static void | MakeOutputCifFileName (std::string &outCifFileName, const std::string &inCifFileName)
static CifFile * | CreateConfigFile ()
static void | CorrectEnumsSimple (CifFile &cifFile, DataInfo &dataInfo, const bool verbose=false)

## Constructor & Destructor Documentation

## CifCorrector()

CifCorrector::CifCorrector | ( | CifFile & | cifFile,
|  | DataInfo & | dataInfo,
|  | DataInfo & | pdbxDataInfo,
|  | CifFile & | configFile,
|  | const bool | verbose = `false`
| ) |  |

## ~CifCorrector()

CifCorrector::~CifCorrector | ( |  | ) |

## Member Function Documentation

## CheckAliases()

void CifCorrector::CheckAliases | ( |  | ) |

## Correct()

void CifCorrector::Correct | ( |  | ) |

## CorrectEnumsSimple()

static void CifCorrector::CorrectEnumsSimple | ( | CifFile & | cifFile,
|  | DataInfo & | dataInfo,
|  | const bool | verbose = `false`
| ) |  |

static

## CreateConfigFile()

static CifFile* CifCorrector::CreateConfigFile | ( |  | ) |

static

## MakeOutputCifFileName()

static void CifCorrector::MakeOutputCifFileName | ( | std::string & | outCifFileName,
|  | const std::string & | inCifFileName
| ) |  |

static

## Write()

void CifCorrector::Write | ( | const std::string & | outFileName | ) |

The documentation for this class was generated from the following file:

- rcsb/CifCorrector.h